### Method

# FwupdPlugin Context has_hwid_flag

#### Declaration [src]

    gboolean
    fu_context_has_hwid_flag (
      FuContext* self,
      const gchar* flag
    )

#### Description [src]

Returns if a HwId custom flag exists, typically added from a DMI quirk.

Available since: | 1.7.2

#### Parameters

`flag` | `const gchar*`
| Flag, e.g. `use-legacy-bootmgr-desc`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the flag exists.